Package org.opensaml.saml.metadata.resolver.impl

# Class AbstractDynamicMetadataResolver.EntityManagementData

java.lang.Object
org.opensaml.saml.metadata.resolver.impl.AbstractDynamicMetadataResolver.EntityManagementData

Enclosing class:
  AbstractDynamicMetadataResolver

protected class AbstractDynamicMetadataResolver.EntityManagementData extends Object
Class holding per-entity management data.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`entityID`
The entity ID managed by this instance.
`private Instant`
`expirationTime`
Expiration time of the associated metadata.
`private Instant`
`lastAccessedTime`
The last time at which the entity's backing store data was accessed.
`private Instant`
`lastUpdateTime`
Last update time of the associated metadata.
`private Instant`
`negativeLookupCacheExpiration`
The time at which the negative lookup cache flag expires, if set.
`private ReadWriteLock`
`readWriteLock`
Read-write lock instance which governs access to the entity's backing store data.
`private Instant`
`refreshTriggerTime`
Time at which should start attempting to refresh the metadata.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`EntityManagementData(String id)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`clearNegativeLookupCache()`
Clear out the negative lookup cache.
`String`
`getEntityID()`
Get the entity ID managed by this instance.
`Instant`
`getExpirationTime()`
Get the expiration time of the metadata.
`Instant`
`getLastAccessedTime()`
Get the last time at which the entity's backing store data was accessed.
`Instant`
`getLastUpdateTime()`
Get the last update time of the metadata.
`ReadWriteLock`
`getReadWriteLock()`
Get the read-write lock instance which governs access to the entity's backing store data.
`Instant`
`getRefreshTriggerTime()`
Get the refresh trigger time of the metadata.
`Instant`
`initNegativeLookupCache()`
Initialize the negative lookup cache for the entity.
`boolean`
`isNegativeLookupCacheActive()`
Determine whether the negative lookup cache for the entity is in effect.
`void`
`recordEntityAccess()`
Record access of the entity's backing store data.
`void`
`setExpirationTime(Instant dateTime)`
Set the expiration time of the metadata.
`void`
`setLastUpdateTime(Instant dateTime)`
Set the last update time of the metadata.
`void`
`setRefreshTriggerTime(Instant dateTime)`
Set the refresh trigger time of the metadata.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### entityID

@Nonnull private String entityID
The entity ID managed by this instance.

### lastUpdateTime

@Nullable private Instant lastUpdateTime
Last update time of the associated metadata.

### expirationTime

@Nonnull private Instant expirationTime
Expiration time of the associated metadata.

### refreshTriggerTime

@Nonnull private Instant refreshTriggerTime
Time at which should start attempting to refresh the metadata.

### lastAccessedTime

@Nonnull private Instant lastAccessedTime
The last time at which the entity's backing store data was accessed.

### negativeLookupCacheExpiration

@Nullable private Instant negativeLookupCacheExpiration
The time at which the negative lookup cache flag expires, if set.

### readWriteLock

@Nonnull private ReadWriteLock readWriteLock
Read-write lock instance which governs access to the entity's backing store data.

## Constructor Details

### EntityManagementData

protected EntityManagementData(@Nonnull String id)
Constructor.

Parameters:
  `id` - the entity ID managed by this instance

## Method Details

### getEntityID

@Nonnull public String getEntityID()
Get the entity ID managed by this instance.

Returns:
  the entity ID

### getLastUpdateTime

@Nullable public Instant getLastUpdateTime()
Get the last update time of the metadata.

Returns:
  the last update time, or null if no metadata is yet loaded for the entity

### setLastUpdateTime

public void setLastUpdateTime(@Nullable Instant dateTime)
Set the last update time of the metadata.

Parameters:
  `dateTime` - the last update time

### getExpirationTime

@Nonnull public Instant getExpirationTime()
Get the expiration time of the metadata.

Returns:
  the expiration time

### setExpirationTime

public void setExpirationTime(@Nonnull Instant dateTime)
Set the expiration time of the metadata.

Parameters:
  `dateTime` - the new expiration time

### getRefreshTriggerTime

@Nonnull public Instant getRefreshTriggerTime()
Get the refresh trigger time of the metadata.

Returns:
  the refresh trigger time

### setRefreshTriggerTime

public void setRefreshTriggerTime(@Nonnull Instant dateTime)
Set the refresh trigger time of the metadata.

Parameters:
  `dateTime` - the new refresh trigger time

### getLastAccessedTime

@Nonnull public Instant getLastAccessedTime()
Get the last time at which the entity's backing store data was accessed.

Returns:
  last access time

### recordEntityAccess

public void recordEntityAccess()
Record access of the entity's backing store data.

### isNegativeLookupCacheActive

public boolean isNegativeLookupCacheActive()
Determine whether the negative lookup cache for the entity is in effect.

Returns:
  true if active, false otherwise

### initNegativeLookupCache

@Nonnull public Instant initNegativeLookupCache()
Initialize the negative lookup cache for the entity.

Returns:
  the time before which no further lookups for the entity will be performed

### clearNegativeLookupCache

public void clearNegativeLookupCache()
Clear out the negative lookup cache.

### getReadWriteLock

@Nonnull public ReadWriteLock getReadWriteLock()
Get the read-write lock instance which governs access to the entity's backing store data.

Returns:
  the lock instance